Subscription (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.apps.mailreader.dao
Interface Subscription

All Known Implementing Classes:
  AbstractSubscription, MemorySubscription

    public interface Subscription

A Subscription which is stored, along with the associated `User`, in a `UserDatabase`.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $

Method Summary
`boolean` | `getAutoConnect()` Return the auto-connect flag.
`String` | `getHost()` Return the host name.
`String` | `getPassword()` Return the password.
`String` | `getType()` Return the subscription type.
`User` | `getUser()` Return the `User` owning this Subscription.
`String` | `getUsername()` Return the username.
`void` | `setAutoConnect(boolean autoConnect)` Set the auto-connect flag.
`void` | `setPassword(String password)` Set the password.
`void` | `setType(String type)` Set the subscription type.
`void` | `setUsername(String username)` Set the username.

Method Detail

### getAutoConnect

    boolean getAutoConnect()

  Return the auto-connect flag.

### setAutoConnect

    void setAutoConnect(boolean autoConnect)

  Set the auto-connect flag.

  Parameters:
    `autoConnect` - The new auto-connect flag

### getHost

    String getHost()

  Return the host name.

### getPassword

    String getPassword()

  Return the password.

### setPassword

    void setPassword(String password)

  Set the password.

  Parameters:
    `password` - The new password

### getType

    String getType()

  Return the subscription type.

### setType

    void setType(String type)

  Set the subscription type.

  Parameters:
    `type` - The new subscription type

### getUser

    User getUser()

  Return the `User` owning this Subscription.

### getUsername

    String getUsername()

  Return the username.

### setUsername

    void setUsername(String username)

  Set the username.

  Parameters:
    `username` - The new username

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.